View Issue Details

IDProjectCategoryView StatusLast Update
0034987LazarusPatchpublic2019-02-09 15:19
ReporterFTurtleAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 (SVN)Product Build60269 
Target Version2.0.2Fixed in Version2.1 (SVN) 
Summary0034987: [Patches] Assigning icons to four items of source editor menu.
DescriptionAssigning icons to four items of source editor menu.
See pictures.
TagsNo tags attached.
Fixed in Revision60365
LazTarget2.0.2
Widgetset
Attached Files
  • old.png (17,833 bytes)
    old.png (17,833 bytes)
  • new.png (19,292 bytes)
    new.png (19,292 bytes)
  • patch.diff (2,069 bytes)
    Index: ide/sourceeditor.pp
    ===================================================================
    --- ide/sourceeditor.pp	(revision 60269)
    +++ ide/sourceeditor.pp	(working copy)
    @@ -1623,7 +1623,8 @@
             (AParent, 'Find Declaration', uemFindDeclaration, nil, @ExecuteIdeMenuClick);
     
         {%region *** Submenu: Find Section *** }
    -      SrcEditSubMenuFind := RegisterIDESubMenu(AParent, 'Find section', lisMenuFind);
    +      SrcEditSubMenuFind := RegisterIDESubMenu(AParent,
    +          'Find section', lisMenuFind, nil, nil, 'menu_search_find');
           AParent:=SrcEditSubMenuFind;
     
           SrcEditMenuProcedureJump := RegisterIDEMenuCommand(AParent,
    @@ -1663,7 +1664,8 @@
         SrcEditMenuSectionFiles:=RegisterIDEMenuSection(SourceEditorMenuRoot, 'Files');
     
         {%region * sub menu Open File *}
    -      SrcEditSubMenuOpenFile:=RegisterIDESubMenu(SrcEditMenuSectionFiles,'Open File',lisOpenFile);
    +      SrcEditSubMenuOpenFile:=RegisterIDESubMenu(SrcEditMenuSectionFiles,
    +          'Open File',lisOpenFile, nil, nil, 'laz_open');
           AParent:=SrcEditSubMenuOpenFile;
     
           SrcEditMenuOpenFileAtCursor:=RegisterIDEMenuCommand(AParent, 'Open File At Cursor',
    @@ -1771,8 +1773,8 @@
       {%endregion}
     
       {%region *** Source Section ***}
    -    SrcEditSubMenuSource:=RegisterIDESubMenu(SourceEditorMenuRoot,
    -                                             'Source',uemSource);
    +    SrcEditSubMenuSource := RegisterIDESubMenu(SourceEditorMenuRoot,
    +        'Source', uemSource, nil, nil, 'item_unit');
         AParent:=SrcEditSubMenuSource;
         SrcEditMenuEncloseSelection := RegisterIDEMenuCommand(AParent,
             'EncloseSelection', lisMenuEncloseSelection);
    @@ -1785,7 +1787,7 @@
         SrcEditMenuUseUnit := RegisterIDEMenuCommand(AParent,
             'UseUnit', lisMenuUseUnit, nil, @ExecuteIdeMenuClick);
         SrcEditMenuShowUnitInfo := RegisterIDEMenuCommand(AParent,
    -        'ShowUnitInfo', lisMenuViewUnitInfo);
    +        'ShowUnitInfo', lisMenuViewUnitInfo , nil, nil, nil, 'menu_view_unit_info');
       {%endregion}
     
       {%region *** Refactoring Section ***}
    
    patch.diff (2,069 bytes)

Activities

FTurtle

2019-02-01 11:28

reporter  

old.png (17,833 bytes)
old.png (17,833 bytes)

FTurtle

2019-02-01 11:29

reporter  

new.png (19,292 bytes)
new.png (19,292 bytes)

FTurtle

2019-02-01 11:29

reporter  

patch.diff (2,069 bytes)
Index: ide/sourceeditor.pp
===================================================================
--- ide/sourceeditor.pp	(revision 60269)
+++ ide/sourceeditor.pp	(working copy)
@@ -1623,7 +1623,8 @@
         (AParent, 'Find Declaration', uemFindDeclaration, nil, @ExecuteIdeMenuClick);
 
     {%region *** Submenu: Find Section *** }
-      SrcEditSubMenuFind := RegisterIDESubMenu(AParent, 'Find section', lisMenuFind);
+      SrcEditSubMenuFind := RegisterIDESubMenu(AParent,
+          'Find section', lisMenuFind, nil, nil, 'menu_search_find');
       AParent:=SrcEditSubMenuFind;
 
       SrcEditMenuProcedureJump := RegisterIDEMenuCommand(AParent,
@@ -1663,7 +1664,8 @@
     SrcEditMenuSectionFiles:=RegisterIDEMenuSection(SourceEditorMenuRoot, 'Files');
 
     {%region * sub menu Open File *}
-      SrcEditSubMenuOpenFile:=RegisterIDESubMenu(SrcEditMenuSectionFiles,'Open File',lisOpenFile);
+      SrcEditSubMenuOpenFile:=RegisterIDESubMenu(SrcEditMenuSectionFiles,
+          'Open File',lisOpenFile, nil, nil, 'laz_open');
       AParent:=SrcEditSubMenuOpenFile;
 
       SrcEditMenuOpenFileAtCursor:=RegisterIDEMenuCommand(AParent, 'Open File At Cursor',
@@ -1771,8 +1773,8 @@
   {%endregion}
 
   {%region *** Source Section ***}
-    SrcEditSubMenuSource:=RegisterIDESubMenu(SourceEditorMenuRoot,
-                                             'Source',uemSource);
+    SrcEditSubMenuSource := RegisterIDESubMenu(SourceEditorMenuRoot,
+        'Source', uemSource, nil, nil, 'item_unit');
     AParent:=SrcEditSubMenuSource;
     SrcEditMenuEncloseSelection := RegisterIDEMenuCommand(AParent,
         'EncloseSelection', lisMenuEncloseSelection);
@@ -1785,7 +1787,7 @@
     SrcEditMenuUseUnit := RegisterIDEMenuCommand(AParent,
         'UseUnit', lisMenuUseUnit, nil, @ExecuteIdeMenuClick);
     SrcEditMenuShowUnitInfo := RegisterIDEMenuCommand(AParent,
-        'ShowUnitInfo', lisMenuViewUnitInfo);
+        'ShowUnitInfo', lisMenuViewUnitInfo , nil, nil, nil, 'menu_view_unit_info');
   {%endregion}
 
   {%region *** Refactoring Section ***}
patch.diff (2,069 bytes)

Alexey Tor.

2019-02-02 07:27

reporter   ~0113787

Thanks for these icons contributions. :)

Michl

2019-02-08 18:48

developer   ~0113951

Applied. Thank you!

FTurtle

2019-02-09 15:19

reporter   ~0113986

Thank you.

Issue History

Date Modified Username Field Change
2019-02-01 11:28 FTurtle New Issue
2019-02-01 11:28 FTurtle File Added: old.png
2019-02-01 11:29 FTurtle File Added: new.png
2019-02-01 11:29 FTurtle File Added: patch.diff
2019-02-02 07:27 Alexey Tor. Note Added: 0113787
2019-02-08 18:43 Michl Assigned To => Michl
2019-02-08 18:43 Michl Status new => assigned
2019-02-08 18:48 Michl Fixed in Revision => 60365
2019-02-08 18:48 Michl LazTarget => 2.0.2
2019-02-08 18:48 Michl Note Added: 0113951
2019-02-08 18:48 Michl Status assigned => resolved
2019-02-08 18:48 Michl Fixed in Version => 2.1 (SVN)
2019-02-08 18:48 Michl Resolution open => fixed
2019-02-08 18:48 Michl Target Version => 2.0.2
2019-02-09 15:19 FTurtle Note Added: 0113986
2019-02-09 15:19 FTurtle Status resolved => closed